# pywerami

[![GitHub version](https://badge.fury.io/gh/ondrolexa%2Fpywerami.svg)](https://badge.fury.io/gh/ondrolexa%2Fpywerami)
[![Documentation Status](https://readthedocs.org/projects/pywerami/badge/?version=latest)](https://readthedocs.org/projects/pywerami/?badge=latest)
[![DOI](https://zenodo.org/badge/46796466.svg)](https://zenodo.org/badge/latestdoi/46796466)

## What is pywerami

pywerami is a stand-alone program to make an countour/3D plot from data
file generated by the Perple_X program WERAMI or tci file generated by
TCInvestigator.

## Requirements

You need Python 3.6 or later to run pywerami. The package requires [NumPy](https://numpy.org/) and [SciPy](https://www.scipy.org/), and the plotting routines require [Matplotlib](https://matplotlib.org/).

## Quick start

pywerami can be installed using pip:
```
pip install pywerami
```
If you want tu run the latest version of code, you can install it from git:
```
pip install git+git://github.com/ondrolexa/pywerami.git
```
Alternatively, you can download the package manually from the GitHub repository [https://github.com/ondrolexa/pywerami](https://github.com/ondrolexa/pywerami), unzip it, navigate into the package, and use the command:
```
python setup.py install
```
#### Upgrading via pip

To upgrade an existing version of APSG from PyPI, execute
```
pip install pywerami --upgrade --no-deps
```
Please note that the dependencies (Matplotlib, NumPy and SciPy) will also be upgraded if you omit the `--no-deps` flag; use the `--no-deps` ("no dependencies") flag if you don't want this.

#### Installing pywerami from the source distribution

In rare cases, users reported problems on certain systems with the default pip installation command, which installs pywerami from the binary distribution ("wheels") on PyPI. If you should encounter similar problems, you could try to install pywerami from the source distribution instead via
```
pip install --no-binary :all: pywerami
```
Also, I would appreciate it if you could report any issues that occur when using `pip install pywerami` in hope that we can fix these in future releases.

* Free software: GPLv3 license
* Documentation: https://pywerami.readthedocs.org.
## Documentation

Explore the full features of APSG. You can find detailed documentation [here](https://pywerami.readthedocs.org).

## Contributing

Most discussion happens on [Github](https://github.com/ondrolexa/pywerami). Feel free to open [an issue](https://github.com/ondrolexa/pywerami/issues/new) or comment on any open issue or pull request. Check ``CONTRIBUTING.md`` for more details.

## Donate

pywerami is an open-source project, available for you for free. It took a lot of time and resources to build this software. If you find this software useful and want to support its future development please consider donating me.

[![Donate via PayPal](https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif)](https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=QTYZWVUNDUAH8&item_name=pywerami+development+donation&currency_code=EUR&source=url)

## License

pywerami is free software: you can redistribute it and/or modify it under the terms of the MIT License. A copy of this license is provided in ``LICENSE`` file.
